#
# spec file for package uudeview (Version 0.5.18)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  mininews tcl tcl-devel tk tk-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libtool mininews perl rpm tcl tcl-devel tk tk-devel

Name:         uudeview
URL:          http://www.fpx.de/fp/Software/UUDeview
License:      GPL
Group:        Productivity/Networking/News/Utilities
Provides:     sharutils:/usr/bin/uudeview
Autoreqprov:  on
Version:      0.5.18
Release:      363
Summary:      The Nice and Friendly Decoder
Source:       %{name}-%{version}.tar.gz
Patch0:       %{name}.patch
Patch1:       %{name}-filename.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The UUDeview package contains a very smart decoder and an encoder for
Base64 (MIME), uuencoded, xxencoded, Binhex, and yEnc files. Its
ultimate goal is to fully replace the "standard", but dumb uudecode and
uuencode utilities.



Authors:
--------
    Frank Pilhofer <fp@fpx.de>

%prep
%setup -q 
%patch0
%patch1

%build
autoconf
#CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='$(INSTALL) -s'
%suse_update_config
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%_prefix --libdir=%_libdir \
	--disable-minews --enable-tcl=%_libdir --enable-tk=%_libdir
make

%install
make prefix=%buildroot%_prefix MANDIR=%buildroot%_mandir install
mkdir -p %buildroot%_libdir
mkdir -p %buildroot%_includedir
cp -pf uulib/libuu.a %buildroot%_libdir
cp -pf uulib/uudeview.h %buildroot%_includedir

%clean
test $RPM_BUILD_ROOT -ef / || rm -rf $RPM_BUILD_ROOT

%files
%_libdir/*
%_includedir/*
/usr/bin/uudeview
/usr/bin/uuenview
/usr/bin/uuwish
/usr/bin/xdeview
%doc HISTORY README 
%doc %{_mandir}/man1/uudeview.1.gz
%doc %{_mandir}/man1/uuenview.1.gz
%doc %{_mandir}/man1/xdeview.1.gz

%changelog -n uudeview
* Mon Apr 05 2004 - max@suse.de
- Fixed a problem with insecure temp file handling (Bug #35996),
  and adopted some more security fixes from the openpkg.org
  package (uudeview-filename.patch).
* Wed Jul 23 2003 - max@suse.de
- Added tk-devel to neededforbuild.
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist
* Sun Oct 20 2002 - olh@suse.de
- provide libuu.a, for tin
* Tue Jul 02 2002 - max@suse.de
- re-added mininews to neededforbuild
* Tue Jul 02 2002 - ro@suse.de
- added split provides
* Tue Jul 02 2002 - max@suse.de
- Split off from the sharutils package.
- New version: 0.5.18 .
- Now also supports yEnc encoding.
